This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 101215 - glibc-common-2.3.2-27.9 fails to install as an upgrade
glibc-common-2.3.2-27.9 fails to install as an upgrade
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-29 23:47 EDT by Bob T.
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 12:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob T. 2003-07-29 23:47:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030519
Mozilla Firebird/0.6

Description of problem:
This security-update rpm crashes during the post-install script, leaving the
system without a working glibc.  One can't can't even shut down.
I've now re-installed twice.

Version-Release number of selected component (if applicable):
2.3.2-27.9

How reproducible:
Always (I've only tried twice; how stupid do you think I am?)

Steps to Reproduce:
1. rpm -U glibc-2.3.2-27.9.i386.rpm
2.
3.
    

Actual Results:  Error message from the post-install script, after which the
system was unusable.

Expected Results:  What do you think?

Additional info:
Comment 1 Jakub Jelinek 2003-07-30 12:36:08 EDT
You are trying to install wrong glibc. On i686+ boxes you should be installing
glibc-2*.i686.rpm, not i386.rpm. There is a bug in 2.3.2-27.9 which prevents
i686 -> i386 "upgrades", fixed already in rawhide. But, first of all, you should
not do that, i686 glibc is way better (NPTL, lots of optimizations, TLS support,
etc.).
Comment 2 Bob T. 2003-07-31 21:55:34 EDT
"fixed already on rawhide"?  Jeez, don't you think you should fix the update
package too?  I wasted hours of my time re-installing and verifying media but
was fortunate enough not to lose any data or configuration because I had a
complete back-up.  This is about a serious a bug as one can imagine. You can't
expect everyone to know that a particular 386 package shouldn't be used on a 686
machine. 
Comment 3 Oliver Schulze L. 2003-10-02 10:44:37 EDT
It also should be noted that the system is left un-usable.
I get "segmentation fault" after running every program.

If you boot into rescue mode and do a chroot, you get also segmentation fault.
So, the only fix is a complete reinstall.
Comment 4 Dale Kerby 2004-06-12 20:24:48 EDT
I'm having the same problem with glibc-common-2.3.3-27.i386.rpm.  The
install freezed somewhere between 1300 and 3500 of 14278 kB.  I
looked, but could not find any info on i686.rpm; can you direct me to its 
location.


Note You need to log in before you can comment on or make changes to this bug.